Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 1282044

Summary: autotrash 7c99ab7 has Python 3 support
Product: [Fedora] Fedora Reporter: Francesco Frassinelli (frafra) <fraph24>
Component: autotrashAssignee: Robert Mayr <robyduck>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: robyduck
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: autotrash-0.1.5git1e3c902-3.fc23 autotrash-0.1.5git1e3c902-3.fc21 autotrash-0.1.5git1e3c902-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-25 16:52:33 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1282146    
Attachments:
Description Flags
specfile patch
none
man page none

Description Francesco Frassinelli (frafra) 2015-11-14 09:20:23 EST
I propose to update autotrash to latest git version in order to support Python 3.
It builds correctly with the attached patch: http://koji.fedoraproject.org/koji/taskinfo?taskID=11835036

https://fedoraproject.org/wiki/Changes/Python_3_as_Default
Comment 1 Francesco Frassinelli (frafra) 2015-11-14 12:39:22 EST
Ok, shebang replaced with /usr/bin/python3.

https://frafra.fedorapeople.org/spec/autotrash.spec
https://frafra.fedorapeople.org/spec/autotrash-0.1.5git1e3c902.patch
Comment 2 Francesco Frassinelli (frafra) 2015-11-14 18:01 EST
Created attachment 1094221 [details]
man page

Man page is not created correctly: it requires docbook-to-man and instant, but they're not available in Fedora.

https://github.com/bneijt/autotrash/issues/8
Comment 3 Francesco Frassinelli (frafra) 2015-11-15 04:58:57 EST
Converted using docbook-to-man on a Debian Box (I'm unable to compile it on Fedora) and added as patch.

Everything seems ok now.

https://kojipkgs.fedoraproject.org//work/tasks/6676/11846676/autotrash-0.1.5git1e3c902-2.fc24.noarch.rpm
Comment 4 Francesco Frassinelli (frafra) 2015-11-15 07:03:08 EST
As suggested during FAD Python 3 2015 on #fedora-python, I use this condition in order to build for Python 3:

%if 0%{?fedora} > 22 || 0%{?rhel} > 7

It seems to work as expected, even for Fedora rawhide and EPEL.
Comment 5 Fedora Update System 2015-11-15 07:04:30 EST
autotrash-0.1.5git1e3c902-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3fc359e16f
Comment 6 Fedora Update System 2015-11-15 07:06:02 EST
autotrash-0.1.5git1e3c902-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-86863931e2
Comment 7 Fedora Update System 2015-11-15 07:07:28 EST
autotrash-0.1.5git1e3c902-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-589cab9bd0
Comment 8 Fedora Update System 2015-11-15 07:11:55 EST
autotrash-0.1.5git1e3c902-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6918bffe9c
Comment 9 Fedora Update System 2015-11-15 14:51:28 EST
autotrash-0.1.5git1e3c902-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update autotrash'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-589cab9bd0
Comment 10 Fedora Update System 2015-11-15 23:51:16 EST
autotrash-0.1.5git1e3c902-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update autotrash'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6918bffe9c
Comment 11 Fedora Update System 2015-11-16 00:53:30 EST
autotrash-0.1.5git1e3c902-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update autotrash'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3fc359e16f
Comment 12 Fedora Update System 2015-11-16 01:52:12 EST
autotrash-0.1.5git1e3c902-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update autotrash'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-86863931e2
Comment 13 Fedora Update System 2015-11-25 16:52:31 EST
autotrash-0.1.5git1e3c902-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-11-25 19:18:46 EST
autotrash-0.1.5git1e3c902-3.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-11-25 19:21:27 EST
autotrash-0.1.5git1e3c902-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.